Package org.xnio

# Interface XnioWorkerConfigurator

public interface XnioWorkerConfigurator
An interface which is loaded via `ServiceLoader` in order to take over the configuration of the default worker in the event that no overriding configuration is present.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`XnioWorker`
`createWorker()`
Create the worker, returning `null` if no worker is available.

## Method Details

### createWorker

XnioWorker createWorker() throws IOException
Create the worker, returning `null` if no worker is available.

Returns:
  the worker or `null` if none is available
Throws:
  `IOException` - if configuring the worker resulted in an exception